Warning, /games/kmuddy/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 project(kmuddy)
0002 
0003 cmake_minimum_required(VERSION 2.8.12)
0004 
0005 find_package(ECM 0.0.10 REQUIRED CONFIG)
0006 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${ECM_MODULE_PATH})
0007 
0008 include(KDEInstallDirs)
0009 include(KDECompilerSettings NO_POLICY_SCOPE)
0010 include(KDECMakeSettings)
0011 include(FeatureSummary)
0012 include(ECMInstallIcons)
0013 
0014 find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets Script Multimedia)
0015 find_package(KF5 REQUIRED COMPONENTS Config CoreAddons WidgetsAddons I18n KIO KDELibs4Support KCMUtils XmlGui Parts Service IconThemes Archive)
0016 
0017 find_package(MXP)
0018 if (MXP_FOUND)
0019   message(STATUS "Found the MXP library at " ${MXP_LIBRARIES})
0020   set(HAVE_MXP TRUE)
0021 else (MXP_FOUND)
0022   message(STATUS "MXP library was NOT found.")
0023 endif (MXP_FOUND)
0024 
0025 configure_file(config-mxp.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-mxp.h )
0026 
0027 #set(CMAKE_VERBOSE_MAKEFILE ON)
0028 
0029 add_definitions(${QT_DEFINITIONS})
0030 
0031 #include(ConvenienceLibs.cmake)
0032 
0033 # for config-*.h files
0034 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
0035 
0036 add_subdirectory( libs )
0037 add_subdirectory( kmuddy )
0038 add_subdirectory( plugins )
0039 add_subdirectory( scripting )
0040 
0041 
0042 
0043 ########### install files ###############
0044 
0045 install ( FILES muds.xml DESTINATION ${DATA_INSTALL_DIR}/kmuddy )
0046 
0047 
0048